package knihovna;

/*
 * Vytisk reprezentuje konkretni vytisk knihy v knihovne a ma sve vlastni
 * evidencni cislo. Jednotlive vytisky knih se pujcuji ctenarum.
 */

public class Vytisk {
    
    protected int         evCislo; // evidencni cislo
    protected KnizniTitul titul;
    protected String      stav; // stav je "pujceny" nebo "volny"

    // konstruktor
    public Vytisk(KnizniTitul ttl, int ec) {
	titul = ttl;
	evCislo = ec;
	stav = "volny";
    }

    public int evidencniCislo() {
	return evCislo;
    }

    public void vypujceno() {
	stav = "pujceny";
    }

    public void vraceno() {
	stav = "volny";
    }

    public String vypujcniStav() {
	return stav;
    }

    public void vypisInfo() {
	titul.vypisInfo();
	System.out.println("Evidencni cislo="+evidencniCislo());
	System.out.println("Stav="+vypujcniStav());
	System.out.println();
    }
}


