package doprava;


import doprava.vozidla.*;
import doprava.sluzby.*;


public class Demo {


	public static void main(String[] args) {
		AutoServis opravna = new AutoServis();
		Mycka cistirna = new Mycka();
		Hadice domaciHadice = new Hadice();


		OsobniAuto skodovka = new OsobniAuto("Skoda 100", 5);
		skodovka.rozbijBrzdy();
		skodovka.rozbijMotor();
		System.out.println(skodovka.toString());

		opravna.oprav(skodovka);

		skodovka.prepravOsoby(3);
		skodovka.prepravOsoby(2);
		skodovka.prepravOsoby(1);
		skodovka.prepravOsoby(30);

		Nakladak tatrovka = new Nakladak("Tatra", 1000);
		tatrovka.rozbijSvetla();
		opravna.oprav(tatrovka);

		tatrovka.prepravNaklad(100);
		tatrovka.prepravNaklad(tatrovka.uzitecneZatizeni() + 200);

		domaciHadice.ostrikejHadici(skodovka);
		cistirna.umyjMyckou(skodovka);
		domaciHadice.ostrikejHadici(tatrovka);


		skodovka.prepravOsoby(2);
		domaciHadice.ostrikejHadici(skodovka);


		Kolo horal = new Kolo("Amulet");
		horal.projedSe(300);
		domaciHadice.ostrikejHadici(horal);


		Vuz hadrolet = new OsobniAuto("Hadrolet forte");
		hadrolet.rozbijSvetla();
		hadrolet.rozbijBrzdy();
		hadrolet.rozbijMotor();
		opravna.oprav(hadrolet);

		System.out.println(tatrovka.toString());
		System.out.println(kolo.toString());
		System.out.println(hadrolet.toString());
	}


}