import java.util.*;

public class Stack<T>
{
	List<T> data;
	
	public Stack()
	{
		data=new LinkedList<T>();
	}
	
	public void push(T co)
	{
		data.add(co);
	}
	
	public T pop()
	{
		T pom=data.get(data.size()-1);
		data.remove(data.size()-1);
		return pom;
	}


	public boolean isEmpty()
	{
		return data.size()==0;
	}

	public void write()
	{
		for(T pom:data)
			System.out.print(pom+" ");
		System.out.println();
	}

	public int count()
	{
		int i=0;
		for(T pom:data)
			i++;
		return i;
	}

	public Object[] toArray()
	{
		return data.toArray();
	}


	public static void main(String[] args)
	{
		Stack<Object> is=new Stack<Object>(),ss=new Stack<Object>();
		for(int i=1;i<11;i++)
		{	
			is.push(i);
			ss.push((new Character((char)('a'+i))).toString());
		}
		
		is.write();
		Object[] output=is.toArray();
		for(int i=0;i<output.length;i++)
		 if(output[i] instanceof Integer)
			System.out.print((Integer)output[i]+",");

		System.out.println();

	 	while(!is.isEmpty())
		{
		  Integer i=(Integer)is.pop();
		  System.out.print(i+" ");
		}
		System.out.println();
		ss.write();
	 	while(!ss.isEmpty())
		{
		  String i=(String)ss.pop();
		  System.out.print(i+" ");
		}
		System.out.println();
	}
}
				
